Package relaxngcc.ant

# Class RelaxNGCCTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
relaxngcc.ant.RelaxNGCCTask

All Implemented Interfaces:
  `Cloneable`

public class RelaxNGCCTask extends org.apache.tools.ant.Task
Ant task that invokes RelaxNGCC.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Constructor Summary

Constructors
Constructor
Description
`RelaxNGCCTask()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addDepends(org.apache.tools.ant.types.FileSet fs)`
Nested <depends> element.
`void`
`addProduces(org.apache.tools.ant.types.FileSet fs)`
Nested <produces> element.
`void`
`execute()`
`void`
`setAutomata(String dir)`
`void`
`setSource(String rngFile)`
`void`
`setTargetdir(File file)`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RelaxNGCCTask

public RelaxNGCCTask()

## Method Details

### execute

public void execute() throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`

### setSource

public void setSource(String rngFile)

### setTargetdir

public void setTargetdir(File file)

### setAutomata

public void setAutomata(String dir)

### addDepends

public void addDepends(org.apache.tools.ant.types.FileSet fs)
Nested <depends> element.

### addProduces

public void addProduces(org.apache.tools.ant.types.FileSet fs)
Nested <produces> element.